Permalink
Newer
Older
100644 45 lines (38 sloc) 1.59 KB
May 25, 2010
1
# -*- encoding: utf-8 -*-
2
3
require File.join(File.dirname(__FILE__), 'lib', 'http_router', 'version')
Jun 17, 2010
4
May 25, 2010
5
Gem::Specification.new do |s|
6
s.name = 'http_router'
7
s.version = HttpRouter::VERSION
May 25, 2010
8
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
9
s.authors = ["Joshua Hull"]
10
s.summary = "A kick-ass HTTP router for use in Rack"
11
s.description = "This library allows you to recognize and build URLs in a Rack application."
May 25, 2010
12
s.email = %q{joshbuddy@gmail.com}
Josh Hull
Apr 18, 2011
13
s.extra_rdoc_files = ['README.md', 'LICENSE']
14
s.files = `git ls-files`.split("\n")
May 25, 2010
15
s.homepage = %q{http://github.com/joshbuddy/http_router}
16
s.rdoc_options = ["--charset=UTF-8"]
17
s.require_paths = ["lib"]
May 30, 2010
18
s.rubygems_version = %q{1.3.7}
19
s.test_files = `git ls-files`.split("\n").select{|f| f =~ /^test/}
20
s.rubyforge_project = 'http_router'
21
22
# dependencies
Josh Hull
Nov 20, 2010
23
s.add_runtime_dependency 'rack', '>= 1.0.0'
24
s.add_runtime_dependency 'url_mount', '~> 0.2.1'
25
s.add_development_dependency 'minitest', '~> 2.0.0'
26
s.add_development_dependency 'code_stats'
27
s.add_development_dependency 'rake', '~> 0.8.7'
28
s.add_development_dependency 'rbench'
Jun 29, 2011
29
s.add_development_dependency 'json'
Josh Hull
Nov 20, 2010
30
s.add_development_dependency 'phocus'
31
s.add_development_dependency 'bundler', '~> 1.0.0'
32
s.add_development_dependency 'thin', '= 1.2.8'
May 25, 2010
33
34
if s.respond_to? :specification_version then
35
current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
36
s.specification_version = 3
37
May 30, 2010
38
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
May 25, 2010
39
else
40
end
41
else
42
end
43
end
44